LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XEncryptionResultBroadcaster Interface Reference

Interface of Encryption Result Broadcaster. More...

`import"XEncryptionResultBroadcaster.idl";`

Inheritance diagram for XEncryptionResultBroadcaster:

## Public Member Functions
void | addEncryptionResultListener ([in] XEncryptionResultListener listener) raises ( com::sun::star::uno::Exception )
| Adds a new encryption result listener. More...
void | removeEncryptionResultListener ([in] XEncryptionResultListener listener)
| Removes an encryption result listener. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface of Encryption Result Broadcaster.

This interface is used to manipulate encryption result listener.

## Member Function Documentation

## ◆ addEncryptionResultListener()

void addEncryptionResultListener | ( | [in] XEncryptionResultListener | listener | ) |
raises | ( | com::sun::star::uno::Exception
| ) |  |

Adds a new encryption result listener.

When the encryption is finished, the result information will be sent to this listener.

Parameters

  listener | the listener to be added

## ◆ removeEncryptionResultListener()

void removeEncryptionResultListener | ( | [in] XEncryptionResultListener | listener | ) |

Removes an encryption result listener.

After a listener is removed, no result information will be sent to it.

Parameters

  listener | the listener to be removed

The documentation for this interface was generated from the following file:

- com/sun/star/xml/crypto/sax/XEncryptionResultBroadcaster.idl